/* MOBILE FIRST */
.home-intro--desktop {
  display: none;
}

.home-intro-mobile {
  display: block;
}

.home-intro-mobile__media-wrapper {
    display: flex;
    flex-direction: column;
    padding: 13px 28px 88px;
    justify-content: space-between;
    min-height: calc(100vh - 88px);
    background-color: #141736;
}

.home-intro-mobile__content h1 {
    color: #FFF;
}

.home-intro-mobile__content h1 {
    font-family: "PP Editorial New";
    text-align: center;
    font-size: 46px;
    line-height: 100%;
    margin-bottom: 16px;
    color: #FFF;
}

.home-intro-mobile__content p {
    text-align: center;
    font-family: "Inter Display";
    font-size: 17px;
    line-height: 130%;
    color: #FFF;
}

.home-intro__cta {
    all: unset;

    display: flex;
    width: 254px;
    padding: 15px 24px;
    justify-content: space-between;
    align-items: center;

    background: #D08849;
    color: #FFF;

    font-family: "Inter Display";
    font-size: 18px;
    font-weight: 600;
    line-height: 120%;
    letter-spacing: -0.54px;

    cursor: pointer;
    pointer-events: none;

    transition:
        background-color 0.35s cubic-bezier(.22,1,.36,1),
        color 0.35s cubic-bezier(.22,1,.36,1);

    span {
    display: flex;
    }
}


.home-intro__cta-icon svg {
  display: block;
  transition: transform 0.45s cubic-bezier(.22,1,.36,1);
  transform-origin: 50% 50%;
}

.home-intro__cta:hover .home-intro__cta-icon svg {
  transform: rotate(-180deg);
}

.home-intro__cta:hover {
    color: #FFF;
    background-color: #9E6431;
}

.home-intro-mobile__text-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 24px;
    padding: 80px 28px 128px;;
}

.home-intro-mobile__text {
    text-align: center;
    font-family: "Editorial New", Sans-serif;
    font-size: 26px;
    font-weight: 400;
}


.intro-bg-layer {
  display: none;
}

/* DESKTOP */
@media (min-width: 1025px) {
  .home-intro--desktop {
    display: block;
  }

  .home-intro-mobile {
    display: none;
  }
/* ============================================================
   HOME INTRO
   ============================================================ */

    .home-intro {
        position: relative;
        height: 400vh; /* 4 steps */
        background: transparent;
        z-index: 4;
    }

/* ============================================================
   BACKGROUND BLOCK (REAL HEIGHT)
   ============================================================ */

    .intro-bg-layer {
        display: block;
        position: fixed;
        top: 0;
        left: 0;

        width: 100%;
        height: 250vh;

        background: #141736;

        z-index: 0;
        pointer-events: none;
    }

    .home-intro__pin {
        position: sticky;
        min-height: 100vh;
        overflow: hidden;
    }

/* ============================================================
   LOGO
   ============================================================ */

    .home-intro__logo {
        position: absolute;
        top: 40px;
        left: 50%;
        transform: translateX(-50%);
        width: 90%;
        max-width: 1200px;
        z-index: 1;
    }

/* ============================================================
   VIDEO WRAP
   ============================================================ */

    .home-intro__video-wrap {
        position: absolute;
        left: 50%;
        top: 50%;
        z-index: 3;
    }

    .home-intro__video,
    .home-intro__video video {
        width: 100%;
        height: 100%;
        object-fit: cover;
        display: block;
    }

/* ============================================================
   TEXT BASE
   ============================================================ */

    .home-intro__text {
        position: absolute;
        color: #fff;
        pointer-events: none;
        z-index: 3;
    }

/* CENTER TEXT */

    .home-intro__text--center {
        left: 50%;
        top: 100%;
        transform: translateX(-50%);
        max-width: 540px;
        width: 100%;
        text-align: center;
        opacity: 0;
    }

    .home-intro__text--center h1 {
        font-family: "PP Editorial New";
        font-size: 80px;
        line-height: 100%;
        margin-bottom: 16px;
        color: #FFF;
    }

    .home-intro__text--center p {
        font-family: "Inter Display";
        font-size: 18px;
        line-height: 130%;
        color: #FFF;
    }

    /* CORNER TEXT */

    .home-intro__text--corner {
        left: 57.5px;
        bottom: 66px;
        max-width: 420px;
        font-family: "PP Editorial New";
        font-size: 26px;
        line-height: 120%;
        opacity: 0;
        transform: translateY(40px);
    }

    /* ============================================================
    CTA BUTTON
    ============================================================ */

    .home-intro__cta {
        position: absolute;
        left: 57.5px;
        bottom: 66px;
        opacity: 0;
        transform: translateY(40px);
    }
}